> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dqlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Detail

> Detail endpoints: Create Metric Detail, Get Metric Details By Asset, Get Metric Detail, Update Metric Detail, Delete Metric Detail

<script type="application/ld+json">
  {`{
            "@context": "https://schema.org",
            "@type": "TechArticle",
            "headline": "Detail",
            "description": "Detail endpoints: Create Metric Detail, Get Metric Details By Asset, Get Metric Detail, Update Metric Detail, Delete Metric Detail",
            "url": "https://docs.dqlabs.ai/api-reference/metrics/detail",
            "publisher": {
              "@type": "Organization",
              "name": "DQLabs Inc",
              "logo": "https://media.brand.dev/332adc35-5bc4-4d2b-bf78-256aa4a5e414.svg"
            }
            }`}
</script>

<Tabs>
  <Tab title="Create Metric Detail">
    `POST /api/v1/metrics/detail`

    Create a new metric detail.

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/metrics/detail" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Create a new metric detail.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Get Metric Details By Asset">
    `GET /api/v1/metrics/detail/asset/{assetId}`

    Get all metric details for a specific asset

    **Path Parameters**

    <ParamField path="assetId" type="string" required={true}>
      Example: `3fa85f64-5717-4562-b3fc-2c963f66afa6`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="name" type="string">
        Example: `"Null"`.
      </ResponseField>

      <ResponseField name="description" type="string">
        Example: `"Counts the number of null values in a column to assess data completeness and quality."`.
      </ResponseField>

      <ResponseField name="metric_type" type="string">
        Example: `"distribution"`.
      </ResponseField>

      <ResponseField name="asset_type" type="string">
        Example: `"ATTRIBUTE"`.
      </ResponseField>

      <ResponseField name="status" type="string">
        Example: `"VERIFIED"`.
      </ResponseField>

      <ResponseField name="is_aggregate" type="boolean">
        Example: `false`.
      </ResponseField>

      <ResponseField name="is_active" type="boolean">
        Example: `true`.
      </ResponseField>

      <ResponseField name="is_validated" type="boolean">
        Example: `false`.
      </ResponseField>

      <ResponseField name="is_drift_enabled" type="boolean">
        Example: `true`.
      </ResponseField>

      <ResponseField name="is_positive" type="boolean">
        Example: `false`.
      </ResponseField>

      <ResponseField name="allow_score" type="boolean">
        Example: `true`.
      </ResponseField>

      <ResponseField name="auto_threshold" type="boolean">
        Example: `true`.
      </ResponseField>

      <ResponseField name="mute_notification" type="boolean">
        Example: `false`.
      </ResponseField>

      <ResponseField name="is_ai_generated" type="boolean">
        Example: `false`.
      </ResponseField>

      <ResponseField name="weightage" type="integer">
        Example: `100`.
      </ResponseField>

      <ResponseField name="pass_criteria" type="object" />

      <ResponseField name="threshold" type="object">
        <ResponseField name="lower_threshold" type="number">
          Example: `43.0`.
        </ResponseField>

        <ResponseField name="upper_threshold" type="number">
          Example: `43.0`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="threshold_constraint" type="object">
        <ResponseField name="auto" type="string[]" />

        <ResponseField name="mode" type="string">
          Example: `"auto"`.
        </ResponseField>

        <ResponseField name="custom" type="object[]" />

        <ResponseField name="manual" type="object[]" />
      </ResponseField>

      <ResponseField name="asset_id" type="string">
        Example: `"004fbf50-60b1-58d0-91fe-e49bd2738dd5"`.
      </ResponseField>

      <ResponseField name="source_id" type="string">
        Example: `"27b7f521-5991-49cd-8ca6-1adbff51038f"`.
      </ResponseField>

      <ResponseField name="context" type="string">
        Example: `"Structural"`.
      </ResponseField>

      <ResponseField name="category" type="string">
        Example: `"Distribution"`.
      </ResponseField>

      <ResponseField name="subcategory" type="string">
        Example: `"Completeness"`.
      </ResponseField>

      <ResponseField name="dimension" type="string">
        Example: `"Completeness"`.
      </ResponseField>

      <ResponseField name="level" type="string">
        Example: `"Attribute"`.
      </ResponseField>

      <ResponseField name="enabled_export_rows" type="boolean">
        Example: `false`.
      </ResponseField>

      <ResponseField name="enabled_failed_rows" type="boolean">
        Example: `false`.
      </ResponseField>

      <ResponseField name="enabled_total_records" type="boolean">
        Example: `false`.
      </ResponseField>

      <ResponseField name="column_limit" type="integer">
        Example: `20`.
      </ResponseField>

      <ResponseField name="row_limit" type="integer">
        Example: `100`.
      </ResponseField>

      <ResponseField name="properties" type="object[]" />

      <ResponseField name="system_metric_id" type="string">
        Example: `"deb8f5e7-49a1-470e-9267-8773ff1d4a7c"`.
      </ResponseField>

      <ResponseField name="is_default" type="boolean">
        Example: `true`.
      </ResponseField>

      <ResponseField name="purpose" type="string">
        Example: `"To measure attribute-level completeness and ensure critical business fields contain meaningful and usable information."`.
      </ResponseField>

      <ResponseField name="rationale" type="string">
        Example: `"Excessive null values may indicate incomplete ingestion, missing source data, or breakdowns in upstream processing pipelines."`.
      </ResponseField>

      <ResponseField name="usage_config" type="object" />

      <ResponseField name="total_views" type="integer">
        Example: `0`.
      </ResponseField>

      <ResponseField name="ai_insights" type="object" />

      <ResponseField name="metric_detail_id" type="string">
        Example: `"0fa55b3d-de58-45ec-a512-0cc1f17000cc"`.
      </ResponseField>

      <ResponseField name="created_at" type="string">
        Example: `"2026-09-19T11:31:28.106907Z"`.
      </ResponseField>

      <ResponseField name="modified_at" type="string">
        Example: `"2026-09-20T17:08:29.125354Z"`.
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/metrics/detail/asset/{assetId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get all metric details for a specific asset",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Get Metric Detail">
    `GET /api/v1/metrics/detail/{metricDetailId}`

    Get a metric detail by ID

    **Path Parameters**

    <ParamField path="metricDetailId" type="string" required={true}>
      Example: `3fa85f64-5717-4562-b3fc-2c963f66afa6`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/metrics/detail/{metricDetailId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get a metric detail by ID",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Update Metric Detail">
    `PUT /api/v1/metrics/detail/{metricDetailId}`

    Update a metric detail.

    **Path Parameters**

    <ParamField path="metricDetailId" type="string" required={true}>
      Example: `3fa85f64-5717-4562-b3fc-2c963f66afa6`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/metrics/detail/{metricDetailId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Update a metric detail.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Delete Metric Detail">
    `DELETE /api/v1/metrics/detail/{metricDetailId}`

    Delete a metric detail

    **Path Parameters**

    <ParamField path="metricDetailId" type="string" required={true}>
      Example: `3fa85f64-5717-4562-b3fc-2c963f66afa6`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/metrics/detail/{metricDetailId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Delete a metric detail",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>
</Tabs>
